# Generated by Django 2.1.2 on 2018-10-04 05:41

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Deliveries',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('inning', models.IntegerField()),
                ('batting_team', models.CharField(max_length=200)),
                ('bowling_team', models.CharField(max_length=200)),
                ('over', models.IntegerField()),
                ('ball', models.IntegerField()),
                ('batsman', models.CharField(max_length=200)),
                ('non_striker', models.CharField(max_length=200)),
                ('bowler', models.CharField(max_length=200)),
                ('is_super_over', models.IntegerField()),
                ('wide_runs', models.IntegerField()),
                ('bye_runs', models.IntegerField()),
                ('legbye_runs', models.IntegerField()),
                ('noball_runs', models.IntegerField()),
                ('penalty_runs', models.IntegerField()),
                ('batsman_runs', models.IntegerField()),
                ('extra_runs', models.IntegerField()),
                ('total_runs', models.IntegerField()),
                ('player_dismissed', models.CharField(max_length=200)),
                ('dismissal_kind', models.CharField(max_length=200)),
                ('fielder', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Matches',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('season', models.IntegerField()),
                ('city', models.CharField(max_length=200)),
                ('date', models.DateField()),
                ('team1', models.CharField(max_length=200)),
                ('team2', models.CharField(max_length=200)),
                ('toss_winner', models.CharField(max_length=200)),
                ('toss_decision', models.CharField(max_length=200)),
                ('result', models.CharField(max_length=200)),
                ('dl_appplied', models.IntegerField()),
                ('winner', models.CharField(max_length=200)),
                ('win_by_runs', models.IntegerField()),
                ('win_by_wickets', models.IntegerField()),
                ('player_of_match', models.CharField(max_length=200)),
                ('venue', models.CharField(max_length=200)),
                ('umpire1', models.CharField(max_length=200)),
                ('umpire2', models.CharField(max_length=200)),
                ('umpire3', models.CharField(max_length=200)),
            ],
        ),
        migrations.AddField(
            model_name='deliveries',
            name='match',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ques1.Matches'),
        ),
    ]
